import { Component } from 'react';
import PropTypes from 'prop-types';
export declare class SoftErrorBoundary extends Component<{
    children?: any;
}> {
    static propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    };
    state: {
        hasError: boolean;
        error: any;
    };
    constructor(props: any);
    componentDidCatch(error: any): void;
    render(): any;
}
